package com.yifu.cloud.plus.v1.yifu.archives.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yifu.cloud.plus.v1.yifu.archives.entity.TAttaInfo;

import java.time.LocalDateTime;
import java.util.Collection;
import java.util.List;

/**
 * 附件信息表
 *
 * @author pwang
 * @date 2021-02-19 16:16:07
 */
public interface TAttaInfoService extends IService<TAttaInfo> {

    /**
     * @Author fxj
     * @Description
     * @Date 13:48 2022/6/17
     * @Param
     * @return
    **/
    IPage<TAttaInfo> getTAttaInfoPage(Page<TAttaInfo> page, TAttaInfo tAttaInfo);

    /**
     * @Author fxj
     * @Description
     * @Date 13:48 2022/6/17
     * @Param
     * @return
    **/
    List<TAttaInfo> getTAttaInfoList(TAttaInfo tAttaInfo);

    TAttaInfo add(TAttaInfo attaInfo);

    void update(List<TAttaInfo> attaList, String domainId, String relationType);

    /**
     * @Author fxj
     * @Description
     * @Date 13:48 2022/6/17
     * @Param
     * @return
    **/
    Boolean batchOssFileDelete(List<TAttaInfo> delAttaList);

    List<TAttaInfo> getKeenAtta(LocalDateTime dayStart, Collection<String> values);

    Boolean updateDomainId(String domainId, List<String> ids);
}
